Package org.eclipse.cdt.core.errorparsers

## Class ErrorParserNamedWrapper

- java.lang.Object
- - org.eclipse.cdt.core.errorparsers.ErrorParserNamedWrapper

All Implemented Interfaces:
  `Cloneable`, `IErrorParser`, `IErrorParserNamed`

    public class ErrorParserNamedWrapper
    extends Object
    implements IErrorParserNamed

Class to wrap any `IErrorParser` to `IErrorParserNamed`.

Since:
  5.2

### Constructor Summary

Constructors
`ErrorParserNamedWrapper​(String id, String name, IErrorParser errorParser)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`boolean` `equals​(Object o)`
`IErrorParser` `getErrorParser()`
`String` `getId()`
`String` `getName()`
`boolean` `processLine​(String line, ErrorParserManager epm)` Finds error or warnings on the given line
`void` `setId​(String id)` Set error parser ID.
`void` `setName​(String name)` Set error parser name.

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorParserNamedWrapper

    public ErrorParserNamedWrapper​(String id,
                                   String name,
                                   IErrorParser errorParser)

Constructor.

Parameters:
  `id` - - assigned ID
  `name` - - assigned name.
  `errorParser` - - error parser to assign name and ID.

### Method Detail

#### processLine

    public boolean processLine​(String line,
                               ErrorParserManager epm)

Description copied from interface: `IErrorParser`
Finds error or warnings on the given line

Specified by:
  `processLine` in interface `IErrorParser`
Parameters:
  `line` - - line to process
  `epm` - - `ErrorParserManager`
Returns:
  `true` if the parser found a problem reported in output. More accurately, `true` will consume the line (prevent other parsers from seeing it) and `false` won't (the line will be handed to the next parser).

#### getId

    public String getId()

Specified by:
  `getId` in interface `IErrorParserNamed`
Returns:
  id of error parser

#### getName

    public String getName()

Specified by:
  `getName` in interface `IErrorParserNamed`
Returns:
  name of error parser

#### getErrorParser

    public IErrorParser getErrorParser()

Returns:
  original error parser which is being wrapped

#### setId

    public void setId​(String id)

Description copied from interface: `IErrorParserNamed`
Set error parser ID.

Specified by:
  `setId` in interface `IErrorParserNamed`
Parameters:
  `id` - of error parser

#### setName

    public void setName​(String name)

Description copied from interface: `IErrorParserNamed`
Set error parser name.

Specified by:
  `setName` in interface `IErrorParserNamed`
Parameters:
  `name` - of error parser

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### clone

    public Object clone()
                 throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`